include("aux_func.jl")
using Statistics
using Plots

cif = "cifar";
mni = "mnist";
bay = "bayes";
wat = "cpu_watts";
frq = "freq";
ram = "ram_use";
_100 = "100";
acc = "acc";
es = "es";
wbud = "wbud";


bay_cif_acc_ene = readcpudata(cif, bay, wat, acc);
bay_cif_acc_ram = readcpudata(cif, bay, ram, acc);

bay_cif_es_ene = readcpudata(cif, bay, wat, es);
bay_cif_es_ram = readcpudata(cif, bay, ram, es);

bay_cif_wbud_ene = readcpudata(cif, bay, wat, wbud);
bay_cif_wbud_ram = readcpudata(cif, bay, ram, wbud);

bay_cif_100_ene = readcpudata(cif, bay, wat, _100);
bay_cif_100_ram = readcpudata(cif, bay, ram, _100);


bay_mni_acc_ene = readcpudata(mni, bay, wat, acc);
bay_mni_acc_ram = readcpudata(mni, bay, ram, acc);

bay_mni_es_ene = readcpudata(mni, bay, wat, es);
bay_mni_es_ram = readcpudata(mni, bay, ram, es);

bay_mni_wbud_ene = readcpudata(mni, bay, wat, wbud);
bay_mni_wbud_ram = readcpudata(mni, bay, ram, wbud);

bay_mni_100_ene = readcpudata(mni, bay, wat, _100);
bay_mni_100_ram = readcpudata(mni, bay, ram, _100);



frq_cif_acc_ene = readcpudata(cif, frq, wat, acc);
frq_cif_acc_ram = readcpudata(cif, frq, ram, acc);

frq_cif_es_ene = readcpudata(cif, frq, wat, es);
frq_cif_es_ram = readcpudata(cif, frq, ram, es);

frq_cif_wbud_ene = readcpudata(cif, frq, wat, wbud);
frq_cif_wbud_ram = readcpudata(cif, frq, ram, wbud);

frq_cif_100_ene = readcpudata(cif, frq, wat, _100);
frq_cif_100_ram = readcpudata(cif, frq, ram, _100);


frq_mni_acc_ene = readcpudata(mni, frq, wat, acc);
frq_mni_acc_ram = readcpudata(mni, frq, ram, acc);

frq_mni_es_ene = readcpudata(mni, frq, wat, es);
frq_mni_es_ram = readcpudata(mni, frq, ram, es);

frq_mni_wbud_ene = readcpudata(mni, frq, wat, wbud);
frq_mni_wbud_ram = readcpudata(mni, frq, ram, wbud);

frq_mni_100_ene = readcpudata(mni, frq, wat, _100);
frq_mni_100_ram = readcpudata(mni, frq, ram, _100);



temp = Vector()
for vec in bay_cif_acc_ene
    t = getcpuwatt(vec)
    push!(temp, t)
end
bay_cif_acc_ene = temp;

temp = Vector()
for vec in bay_cif_acc_ram
    t = getramuse(vec)
    push!(temp, t)
end
bay_cif_acc_ram = temp;


temp = Vector()
for vec in bay_cif_es_ene
    t = getcpuwatt(vec)
    push!(temp, t)
end
bay_cif_es_ene = temp;

temp = Vector()
for vec in bay_cif_es_ram
    t = getramuse(vec)
    push!(temp, t)
end
bay_cif_es_ram = temp;


temp = Vector()
for vec in bay_cif_wbud_ene
    t = getcpuwatt(vec)
    push!(temp, t)
end
bay_cif_wbud_ene = temp;

temp = Vector()
for vec in bay_cif_wbud_ram
    t = getramuse(vec)
    push!(temp, t)
end
bay_cif_wbud_ram = temp;


temp = Vector()
for vec in bay_cif_100_ene
    t = getcpuwatt(vec)
    push!(temp, t)
end
bay_cif_100_ene = temp;

temp = Vector()
for vec in bay_cif_100_ram
    t = getramuse(vec)
    push!(temp, t)
end
bay_cif_100_ram = temp;


temp = Vector()
for vec in bay_mni_acc_ene
    t = getcpuwatt(vec)
    push!(temp, t)
end
bay_mni_acc_ene = temp;

temp = Vector()
for vec in bay_mni_acc_ram
    t = getramuse(vec)
    push!(temp, t)
end
bay_mni_acc_ram = temp;


temp = Vector()
for vec in bay_mni_es_ene
    t = getcpuwatt(vec)
    push!(temp, t)
end
bay_mni_es_ene = temp;

temp = Vector()
for vec in bay_mni_es_ram
    t = getramuse(vec)
    push!(temp, t)
end
bay_mni_es_ram = temp;


temp = Vector()
for vec in bay_mni_wbud_ene
    t = getcpuwatt(vec)
    push!(temp, t)
end
bay_mni_wbud_ene = temp;

temp = Vector()
for vec in bay_mni_wbud_ram
    t = getramuse(vec)
    push!(temp, t)
end
bay_mni_wbud_ram = temp;


temp = Vector()
for vec in bay_mni_100_ene
    t = getcpuwatt(vec)
    push!(temp, t)
end
bay_mni_100_ene = temp;

temp = Vector()
for vec in bay_mni_100_ram
    t = getramuse(vec)
    push!(temp, t)
end
bay_mni_100_ram = temp;




temp = Vector()
for vec in frq_cif_acc_ene
    t = getcpuwatt(vec)
    push!(temp, t)
end
frq_cif_acc_ene = temp;

temp = Vector()
for vec in frq_cif_acc_ram
    t = getramuse(vec)
    push!(temp, t)
end
frq_cif_acc_ram = temp;


temp = Vector()
for vec in frq_cif_es_ene
    t = getcpuwatt(vec)
    push!(temp, t)
end
frq_cif_es_ene = temp;

temp = Vector()
for vec in frq_cif_es_ram
    t = getramuse(vec)
    push!(temp, t)
end
frq_cif_es_ram = temp;


temp = Vector()
for vec in frq_cif_wbud_ene
    t = getcpuwatt(vec)
    push!(temp, t)
end
frq_cif_wbud_ene = temp;

temp = Vector()
for vec in frq_cif_wbud_ram
    t = getramuse(vec)
    push!(temp, t)
end
frq_cif_wbud_ram = temp;


temp = Vector()
for vec in frq_cif_100_ene
    t = getcpuwatt(vec)
    push!(temp, t)
end
frq_cif_100_ene = temp;

temp = Vector()
for vec in frq_cif_100_ram
    t = getramuse(vec)
    push!(temp, t)
end
frq_cif_100_ram = temp;


temp = Vector()
for vec in frq_mni_acc_ene
    t = getcpuwatt(vec)
    push!(temp, t)
end
frq_mni_acc_ene = temp;

temp = Vector()
for vec in frq_mni_acc_ram
    t = getramuse(vec)
    push!(temp, t)
end
frq_mni_acc_ram = temp;


temp = Vector()
for vec in frq_mni_es_ene
    t = getcpuwatt(vec)
    push!(temp, t)
end
frq_mni_es_ene = temp;

temp = Vector()
for vec in frq_mni_es_ram
    t = getramuse(vec)
    push!(temp, t)
end
frq_mni_es_ram = temp;


temp = Vector()
for vec in frq_mni_wbud_ene
    t = getcpuwatt(vec)
    push!(temp, t)
end
frq_mni_wbud_ene = temp;

temp = Vector()
for vec in frq_mni_wbud_ram
    t = getramuse(vec)
    push!(temp, t)
end
frq_mni_wbud_ram = temp;


temp = Vector()
for vec in frq_mni_100_ene
    t = getcpuwatt(vec)
    push!(temp, t)
end
frq_mni_100_ene = temp;

temp = Vector()
for vec in frq_mni_100_ram
    t = getramuse(vec)
    push!(temp, t)
end
frq_mni_100_ram = temp;
